org.apache.ignite.lang

## Interface IgniteInClosure<E>

Type Parameters:
  `E` - Type of closure argument.

All Superinterfaces:
  Serializable

All Known Subinterfaces:
  CI1<T>, GridCacheUtils.BackupPostProcessingClosure

All Known Implementing Classes:
  AckCoordinatorOnRollback, AsyncFutureListener, BasicWarmupClosure, BulkLoadCacheWriter, BulkLoadStreamerWriter, CacheDistributedGetFutureAdapter, CacheObjectsReleaseFuture, CIX1, CompoundLockFuture, GridCacheAdapter.InvokeAllTimeStatClosure, GridCacheAdapter.UpdateGetTimeStatClosure, GridCacheAdapter.UpdatePutAndGetTimeStatClosure, GridCacheAdapter.UpdatePutTimeStatClosure, GridCacheAdapter.UpdateRemoveTimeStatClosure, GridCacheAdapter.UpdateTimeStatClosure, GridCacheCompoundFuture, GridCacheCompoundIdentityFuture, GridCacheTxRecoveryFuture, GridCompoundFuture, GridCompoundIdentityFuture, GridDhtColocatedLockFuture, GridDhtForceKeysFuture, GridDhtGetFuture, GridDhtLockFuture, GridDhtTxFinishFuture, GridDhtTxPrepareFuture, GridNearGetFuture, GridNearLockFuture, GridNearOptimisticSerializableTxPrepareFuture, GridNearOptimisticTxPrepareFuture, GridNearOptimisticTxPrepareFutureAdapter, GridNearPessimisticTxPrepareFuture, GridNearTxAbstractEnlistFuture, GridNearTxEnlistFuture, GridNearTxFinishFuture, GridNearTxPrepareFutureAdapter, GridNearTxQueryAbstractEnlistFuture, GridNearTxQueryEnlistFuture, GridNearTxQueryResultsEnlistFuture, GridNearTxSelectForUpdateFuture, GridPartitionedGetFuture, GridServiceDeploymentCompoundFuture, IgniteInClosureX, InitNewCoordinatorFuture, NearTxQueryEnlistResultHandler, NearTxResultHandler, PartitionCountersNeighborcastFuture

    public interface IgniteInClosure<E>
    extends Serializable

Closure with one in-parameter and void return type.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `apply(E e)` Closure body.

### Method Detail

#### apply

    void apply(E e)

Closure body.

Parameters:
  `e` - Closure argument.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019